Bug 1477207 - rlogin killed when changing run level
rlogin killed when changing run level
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rsh (Show other bugs)
7.3
Unspecified Linux
low Severity low
: rc
: ---
Assigned To: Michal Ruprich
qe-baseos-daemons
: FastFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 09:21 EDT by James Pearson
Modified: 2017-08-10 23:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Pearson 2017-08-01 09:21:00 EDT
Description of problem:

If the runlevel on a host is changed, any rlogin sessions to that host are killed

Version-Release number of selected component (if applicable):

rsh-server-0.17-76.el7_1.1.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Install rsh-server on host
2. rlogin into host from a client
3. On rsh-server host, change run level (e.g. with 'telinit' or 'systemctl isolate'

Actual results:

rlogin session terminates

Expected results:

rlogin session continues

Additional info:

Adding 'KillMode=none' to the '[Service]' section of rlogin@.sevice prevents the session from being killed - although not sure if this is a sensible workaround?
Comment 2 Michal Ruprich 2017-08-08 11:23:21 EDT
The KillMode=none option could actually make some trouble during shutdown. The option we're looking for here is IgnoreOnIsolate=true in the [Unit] section. I tried that and it works. 

James can you confirm that adding this option to rlogin@.service works for you as well? If so, I will probably add this to the service file.

Regards,
Michal
Comment 3 James Pearson 2017-08-08 11:41:24 EDT
IgnoreOnIsolate=true appears to work for me - thanks

Note You need to log in before you can comment on or make changes to this bug.